Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(430)

Side by Side Diff: gce/uploader_iteration.sh

Issue 2329133002: DevTools: do not run GYP actions on gclient sync. (Closed)
Patch Set: Created 4 years, 3 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Toggle Intra-line Diffs ('i') | Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
OLDNEW
1 #!/bin/bash 1 #!/bin/bash
2 # Copyright (c) 2013 The Chromium Authors. All rights reserved. 2 # Copyright (c) 2013 The Chromium Authors. All rights reserved.
3 # Use of this source code is governed by a BSD-style license that can be 3 # Use of this source code is governed by a BSD-style license that can be
4 # found in the LICENSE file. 4 # found in the LICENSE file.
5 5
6 # This enables bash to treat any unhandled non-zero exit codes as "exceptions" 6 # This enables bash to treat any unhandled non-zero exit codes as "exceptions"
7 set -e 7 set -e
8 source $(dirname $0)/uploader_exit_codes.sh 8 source $(dirname $0)/uploader_exit_codes.sh
9 9
10 mark_step() { 10 mark_step() {
(...skipping 97 matching lines...) Expand 10 before | Expand all | Expand 10 after
108 108
109 if echo "$BLINK_REVISIONS_BLACKLIST" | grep -w $REVISION; then 109 if echo "$BLINK_REVISIONS_BLACKLIST" | grep -w $REVISION; then
110 echo "Revision $REVISION is in the blacklist, skipping over" 110 echo "Revision $REVISION is in the blacklist, skipping over"
111 continue 111 continue
112 fi 112 fi
113 113
114 echo "Processing $REVISION" 114 echo "Processing $REVISION"
115 git reset --hard || exit $EXIT_BLINK_UPDATE 115 git reset --hard || exit $EXIT_BLINK_UPDATE
116 git clean -df || exit $EXIT_BLINK_UPDATE 116 git clean -df || exit $EXIT_BLINK_UPDATE
117 git checkout -f $REVISION || exit $EXIT_BLINK_UPDATE 117 git checkout -f $REVISION || exit $EXIT_BLINK_UPDATE
118 gclient sync -D -R || exit $EXIT_BLINK_UPDATE 118 GYP_CHROMIUM_NO_ACTION=1 gclient sync -D -R || exit $EXIT_BLINK_UPDATE
119 119
120 echo "Running GN" 120 echo "Running GN"
121 if [ -d out/Default ]; then 121 if [ -d out/Default ]; then
122 rm -rf out/Default 122 rm -rf out/Default
123 fi 123 fi
124 mkdir -p out/Default 124 mkdir -p out/Default
125 echo "is_debug=false" > out/Default/args.gn 125 echo "is_debug=false" > out/Default/args.gn
126 gn gen out/Default || exit $EXIT_GYP_DEVTOOLS 126 gn gen out/Default || exit $EXIT_GYP_DEVTOOLS
127 127
128 echo "Running ninja" 128 echo "Running ninja"
(...skipping 49 matching lines...) Expand 10 before | Expand all | Expand 10 after
178 178
179 echo "Creating revs file" 179 echo "Creating revs file"
180 ZIP_SHA1=$(sha1sum $ZIP_FILE | awk '{print $1}') 180 ZIP_SHA1=$(sha1sum $ZIP_FILE | awk '{print $1}')
181 mv $ZIP_FILE "$ZIPS_DIR/$ZIP_SHA1.zip" 181 mv $ZIP_FILE "$ZIPS_DIR/$ZIP_SHA1.zip"
182 echo "$ZIP_SHA1" > "$REVS_DIR/@$REVISION" 182 echo "$ZIP_SHA1" > "$REVS_DIR/@$REVISION"
183 183
184 echo "Uploading to storage for revision $REVISION" 184 echo "Uploading to storage for revision $REVISION"
185 # Comment out the line below for testing. 185 # Comment out the line below for testing.
186 gsutil -m cp -n -R $LOCAL_STORAGE_DIR/* $GS_PATH || exit $EXIT_CS_UPLOAD 186 gsutil -m cp -n -R $LOCAL_STORAGE_DIR/* $GS_PATH || exit $EXIT_CS_UPLOAD
187 done 187 done
OLDNEW
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698